package com.diagbot.entity.node;

import com.diagbot.entity.node.base.BaseNode;
import lombok.Getter;
import lombok.Setter;
import org.neo4j.ogm.annotation.NodeEntity;
import org.neo4j.ogm.annotation.Relationship;

import java.util.HashSet;
import java.util.Set;

@Setter
@Getter
//@EqualsAndHashCode(callSuper = false)
@NodeEntity(label = "辅助检查描述")
public class PACSDescribe extends BaseNode  {

    @Relationship(type = "手术和操作禁忌辅助检查描述", direction = Relationship.INCOMING)
    private Set<Operation> op_conflict_pacsdesc = new HashSet<>();

    @Relationship(type="辅助检查禁忌辅助检查描述", direction = Relationship.INCOMING)
    private Set<PACS> pacs_conflict_pacsdesc;

}





