package com.diagbot.repository;

import com.diagbot.entity.node.LIS;
import org.springframework.data.neo4j.annotation.Query;
import org.springframework.data.neo4j.repository.Neo4jRepository;

import java.util.List;


public interface LisRepository extends Neo4jRepository<LIS, Long> {

    List<LIS> findByNameIs(String name);

    List<LIS> findByNameLike(String name);

    @Query("MATCH (n:实验室检查) RETURN DISTINCT(KEYS(n))")
    List<List<String>> getKeys();
}

