package com.diagbot.entity.node;

import com.diagbot.entity.node.base.BaseNode;
import lombok.Getter;
import lombok.Setter;
import org.neo4j.ogm.annotation.NodeEntity;
import org.neo4j.ogm.annotation.Relationship;

import java.util.HashSet;
import java.util.Set;

@Setter
@Getter
//@EqualsAndHashCode(callSuper = false)
@NodeEntity(label = "药品解刨学类别")
public class Medicine_Anatomy extends BaseNode  {

    @Relationship(type="药品相关药品解刨学类别", direction = Relationship.INCOMING)
    private Set<Medicine_Code> medicine_related_Anatomy = new HashSet<>();

}
